DATA_START:

        ;RASTER INTERRUPT DATA
        ;---------------------
        
rasterlo:       dc.b <raster0,<raster1,<raster2,<raster3,<raster4
rasterhi:       dc.b >raster0,>raster1,>raster2,>raster3,>raster4
rasterpos:      dc.b RASTER0POS, RASTER1POS, RASTER2POS, 0, RASTER4POS

r1_d015tbl:     dc.b $00,$80,$c0,$e0,$f0,$f8,$fc,$fe,$ff
r1_d018tbl:     dc.b $20,$30
r1_frametbl:    dc.b #>SCREEN1+3,#>SCREEN2+3

r2_colors:      dc.b 5,5,15,13,1,1,13,15,5,12,12,5,15,13,1,1,13,15,5,11

r3_loadytbllo:  dc.b #<r3_loady1
                dc.b #<r3_loady2
                dc.b #<r3_loady3
                dc.b #<r3_loady4
                dc.b #<r3_loady5
                dc.b #<r3_loady6
                dc.b #<r3_loady7
                dc.b #<r3_loady8
r3_loadytblhi:  dc.b #>r3_loady1
                dc.b #>r3_loady2
                dc.b #>r3_loady3
                dc.b #>r3_loady4
                dc.b #>r3_loady5
                dc.b #>r3_loady6
                dc.b #>r3_loady7
                dc.b #>r3_loady8
r3_loadrtbllo:  dc.b #<r3_loadr1
                dc.b #<r3_loadr2
                dc.b #<r3_loadr3
                dc.b #<r3_loadr4
                dc.b #<r3_loadr5
                dc.b #<r3_loadr6
                dc.b #<r3_loadr7
                dc.b #<r3_loadr8
r3_loadrtblhi:  dc.b #>r3_loadr1
                dc.b #>r3_loadr2
                dc.b #>r3_loadr3
                dc.b #>r3_loadr4
                dc.b #>r3_loadr5
                dc.b #>r3_loadr6
                dc.b #>r3_loadr7
                dc.b #>r3_loadr8

        ;SCRIPT DATA
        ;-----------

actorscripttbl: dc.w citygunshopscript
                dc.w musicshopscript
                dc.w barscript
                dc.w tavernscript
                dc.w desertgunshopscript
                dc.w detectivescript
                dc.w forestgunshopscript
                dc.w receptionscript
                dc.w bandscript
                dc.w ultrashredscript
                dc.w snakescript
                dc.w faustusscript
                dc.w goatscript
                dc.w hermitscript
                dc.w ianbasescript ;ian in base
                dc.w ianrescuedscript ;ian in the outpost
                dc.w garagebandscript
                dc.w aiscript


introscript:    dc.b S_LOADCUTSCENE,$03
                dc.b S_PLAYMUSIC,MUSIC_NATURE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$00
                dc.b S_DELAY
                dc.w 1000
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$01
                dc.b S_DELAY
                dc.w 1000
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$02
                dc.b S_DELAY
                dc.w 1000
                dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$03
                dc.b S_DELAY
                dc.w 480
                dc.b S_SHOWTEXT,$04
                dc.b S_DELAY
                dc.w 500
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$05
                dc.b S_DELAY
                dc.w 990
                dc.b S_SHOWPICTURE,$05
                dc.b S_SHOWTEXT,$06
                dc.b S_DELAY
                dc.w 990
                dc.b S_FADEMUSIC
                dc.b S_EXIT

victoryscript:  dc.b S_LOADCUTSCENE,$09
                dc.b S_PLAYMUSIC,MUSIC_VICTORY
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$00
                dc.b S_DELAY
                dc.w 650
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$01
                dc.b S_DELAY
                dc.w 650
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$02
                dc.b S_DELAY
                dc.w 1130
                dc.b S_SCROLL,$03
                dc.b S_FADEMUSIC
                dc.b S_EXIT

gameoverscript: dc.b S_LOADCUTSCENE,$00
                dc.b S_PLAYMUSIC,MUSIC_GAMEOVER
gameoverpic:    dc.b S_SHOWPICTURE,$00
gameovertext:   dc.b S_SHOWTEXT,$00
                dc.b S_EXIT

finaldoorscript:dc.b S_CALLCODE
                dc.w uploadcode
                dc.b S_EXIT

aiscript:       dc.b S_LOADCUTSCENE,$00
                dc.b S_PLAYMUSIC,MUSIC_CAVES
                dc.b S_SHOWPICTURE,$03
                dc.b S_CHECKITEM, IBN_GHETTOBLASTER
                dc.b S_BRANCH
                dc.w ai_playmusic
                dc.b S_SHOWTEXT,$03
                dc.b S_WAITFIRE
                dc.b S_EXIT
ai_playmusic:   dc.b S_SHOWTEXT,$04
                dc.b S_WAITFIRE
                dc.b S_FADEMUSIC
                dc.b S_PLAYMUSIC,MUSIC_BME
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$05
                dc.b S_DELAY
                dc.w 250
                dc.b S_FADEMUSIC
                dc.b S_PLAYMUSIC,MUSIC_SIREN
                dc.b S_SHOWPICTURE,$05
                dc.b S_SHOWTEXT,$06
                dc.b S_DELAY
                dc.w 250
                dc.b S_CALLCODE
                dc.w transformai
                dc.b S_EXIT

garagebandscript:dc.b S_LOADCUTSCENE,$02
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_CHECKITEM, IBN_GHETTOBLASTER
                dc.b S_BRANCH
                dc.w garage_thanks
                dc.b S_CHECKPLOTBIT, PBN_FAUSTUS
                dc.b S_BRANCH
                dc.w garage_ok1
                dc.b S_JUMP
                dc.w garage_notall
garage_ok1:     dc.b S_CHECKPLOTBIT, PBN_GOAT
                dc.b S_BRANCH
                dc.w garage_ok2
                dc.b S_JUMP
                dc.w garage_notall
garage_ok2:     dc.b S_CHECKPLOTBIT, PBN_IAN3
                dc.b S_BRANCH
                dc.w garage_ok3
                dc.b S_JUMP
                dc.w garage_notall
garage_ok3:     dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$14
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$15
                dc.b S_WAITFIRE
                dc.b S_LOADCUTSCENE,$04
                dc.b S_PLAYMUSIC,MUSIC_BME
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$10
                dc.b S_WAITFIRE
                dc.b S_FADEMUSIC
                dc.b S_SHOWTEXT,$11
                dc.b S_SETITEM, IBN_GHETTOBLASTER
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
                dc.b S_WARPPLAYER,1,7,9
garage_thanks:  dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$16
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$17
                dc.b S_WAITFIRE
                dc.b S_EXIT
garage_notall:  dc.b S_CHECKITEM, IBN_MUSICSHEET
                dc.b S_BRANCH
                dc.w garage_request
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$11
                dc.b S_WAITFIRE
                dc.b S_EXIT
garage_request: dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$12
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$13
                dc.b S_WAITFIRE
                dc.b S_EXIT

faustusscript:  dc.b S_LOADCUTSCENE,$08
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_CHECKITEM, IBN_GHETTOBLASTER
                dc.b S_BRANCH
                dc.w faustus_thanks
                dc.b S_CHECKPLOTBIT, PBN_FAUSTUS
                dc.b S_BRANCH
                dc.w faustus_remind
                dc.b S_CHECKITEM, IBN_MUSICSHEET
                dc.b S_BRANCH
                dc.w faustus_askplay
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$00
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$01
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$02
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$03
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$04
                dc.b S_WAITFIRE
                dc.b S_EXIT
faustus_askplay:dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$09
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$0a
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$0b
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$0c
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$0d
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$0e
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$0f
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$10
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$11
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$12
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$13
                dc.b S_SETPLOTBIT, PBN_FAUSTUS
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$14
                dc.b S_WAITFIRE
faustus_remind: dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$15
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$16
                dc.b S_WAITFIRE
                dc.b S_EXIT
faustus_thanks: dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$22
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$23
                dc.b S_WAITFIRE
                dc.b S_EXIT



goatscript:     dc.b S_LOADCUTSCENE,$08
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_CHECKITEM, IBN_GHETTOBLASTER
                dc.b S_BRANCH
                dc.w goat_thanks
                dc.b S_CHECKPLOTBIT, PBN_GOAT
                dc.b S_BRANCH
                dc.w goat_remind
                dc.b S_CHECKITEM, IBN_MUSICSHEET
                dc.b S_BRANCH
                dc.w goat_askplay
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$05
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$06
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$07
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$08
                dc.b S_WAITFIRE
                dc.b S_EXIT
goat_askplay:   dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$17
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$18
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$19
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$1a
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$1b
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$1c
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$1d
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$1e
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$1f
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$20
                dc.b S_SETPLOTBIT, PBN_GOAT
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
goat_remind:    dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$21
                dc.b S_WAITFIRE
                dc.b S_EXIT
goat_thanks:    dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$22
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$24
                dc.b S_WAITFIRE
                dc.b S_EXIT

ultrashredscript:dc.b S_LOADCUTSCENE,$07
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_SHOWPICTURE,$01
                dc.b S_CHECKITEM,IBN_MUSICSHEET
                dc.b S_BRANCH
                dc.w ultra_alldone
                dc.b S_CHECKITEM,IBN_PILLS
                dc.b S_BRANCH
                dc.w ultra_beginwork
                dc.b S_CHECKPLOTBIT,PBN_ASYLUM2
                dc.b S_BRANCH
                dc.w ultra_waitpills
                dc.b S_SHOWTEXT,$04
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$05
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$06
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$07
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$08
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$09
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$0a
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$0b
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$0c
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$0d
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$0e
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$0f
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$10
                dc.b S_SETPLOTBIT,PBN_ASYLUM2 ;Storage door now open
                dc.b S_CALLCODE
                dc.w putleveldata
                dc.b S_CALLCODE
                dc.w iw_initpills             ;Create pills to game world
                dc.b S_CALLCODE
                dc.w getleveldata
                dc.b S_WAITFIRE
                dc.b S_EXIT
ultra_waitpills:dc.b S_SHOWTEXT,$11
                dc.b S_WAITFIRE
                dc.b S_EXIT
ultra_beginwork:dc.b S_SHOWTEXT,$12
                dc.b S_CLEARPLOTBIT,PBN_ASYLUM2 ;Close storage door now
                dc.b S_CLEARITEM,IBN_PILLS ;Ultrashred takes pills
                dc.b S_CLEARITEM,IBN_DOCS ;and source code
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$13
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$14
                dc.b S_SETITEM,IBN_MUSICSHEET ;Ultrashred gives music score
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
                dc.b S_EXIT
ultra_alldone:  dc.b S_SHOWTEXT,$15
                dc.b S_WAITFIRE
                dc.b S_EXIT

receptionscript:dc.b S_LOADCUTSCENE,$07
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_CHECKPLOTBIT,PBN_ASYLUM1 ;Door open?
                dc.b S_BRANCH
                dc.w reception_dooropened
                dc.b S_CHECKITEM,IBN_DOCS ;Have business here?
                dc.b S_BRANCH
                dc.w reception_checkid
                dc.b S_JUMP
                dc.w reception_noid
reception_checkid:
                dc.b S_CHECKITEM,IBN_IDCARD ;Have ID to show?
                dc.b S_BRANCH
                dc.w reception_showid
reception_noid: dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$00
                dc.b S_WAITFIRE
                dc.b S_EXIT
reception_showid:
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$01
                dc.b S_SETPLOTBIT,PBN_ASYLUM1 ;Open the cell door
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$02
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
                dc.b S_EXIT
reception_dooropened:
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$03
                dc.b S_WAITFIRE
                dc.b S_EXIT



hermitscript:   dc.b S_LOADCUTSCENE,$06
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_SHOWPICTURE,$00
                dc.b S_CHECKITEM, IBN_COMPUTER
                dc.b S_BRANCH
                dc.w hermit_alldone
                dc.b S_SHOWTEXT,$00
                dc.b S_WAITFIRE
                dc.b S_CHECKITEM, IBN_DISK1
                dc.b S_BRANCH
                dc.w hermit_havedisk
                dc.b S_CHECKITEM, IBN_DISK2
                dc.b S_BRANCH
                dc.w hermit_havedisk
                dc.b S_CHECKITEM, IBN_DISK3
                dc.b S_BRANCH
                dc.w hermit_havedisk
                dc.b S_EXIT
hermit_havedisk:dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$01
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$02
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$03
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$04
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$05
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$06
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$07
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$08
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$09
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$0a
                dc.b S_SETITEM, IBN_DOCS
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$0b
                dc.b S_SETITEM, IBN_COMPUTER
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$0c
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$0d
                dc.b S_WAITFIRE
                dc.b S_EXIT
hermit_alldone: dc.b S_SHOWTEXT,$0e
                dc.b S_WAITFIRE
                dc.b S_EXIT

ianrescuedscript:dc.b S_LOADCUTSCENE,$05
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_CHECKITEM, IBN_GHETTOBLASTER
                dc.b S_BRANCH
                dc.w ian_thanks
                dc.b S_CHECKPLOTBIT, PBN_IAN3
                dc.b S_BRANCH
                dc.w ian_ready
                dc.b S_CHECKITEM, IBN_MUSICSHEET
                dc.b S_BRANCH
                dc.w ian_asktorecord
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$0f
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$10
                dc.b S_WAITFIRE
                dc.b S_EXIT
ian_asktorecord:dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$11
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$12
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$13
                dc.b S_SETPLOTBIT, PBN_IAN3
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
                dc.b S_EXIT
ian_ready:      dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$13
                dc.b S_WAITFIRE
                dc.b S_EXIT
ian_thanks:     dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$14
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$15
                dc.b S_WAITFIRE
                dc.b S_EXIT

ianbasescript:  dc.b S_LOADCUTSCENE,$05
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_SHOWPICTURE,$00
                dc.b S_CHECKPLOTBIT, PBN_IAN1
                dc.b S_BRANCH
                dc.w iancheckdisk
                dc.b S_SHOWTEXT,$00
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$01
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$02
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$03
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$04
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$05
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$06
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$07
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$08
                dc.b S_WAITFIRE
                dc.b S_SETPLOTBIT, PBN_IAN1
iancheckdisk:   dc.b S_CHECKITEM,IBN_DISK1
                dc.b S_BRANCH
                dc.w ianhavedisk
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$09
                dc.b S_WAITFIRE
                dc.b S_EXIT
ianhavedisk:    dc.b S_CHECKITEM,IBN_ROPE
                dc.b S_BRANCH
                dc.w ianhaverope
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$0a
                dc.b S_WAITFIRE
                dc.b S_EXIT
ianhaverope:    dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$0b
                dc.b S_WAITFIRE
                dc.b S_PLAYMUSIC,MUSIC_INTERLUDE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$0c
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$0d
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$0e
                dc.b S_WAITFIRE
                dc.b S_SETPLOTBIT, PBN_IAN2
                dc.b S_CALLCODE
                dc.w iw_rescueian
                dc.b S_WARPPLAYER,1,161,4

diskfoundscript:dc.b S_LOADCUTSCENE,$00
                dc.b S_PLAYMUSIC,MUSIC_INTERLUDE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$02
                dc.b S_WAITFIRE
                dc.b S_EXIT

snakescript:    dc.b S_LOADCUTSCENE,$04
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_CHECKITEM,IBN_MUSICSHEET
                dc.b S_BRANCH
                dc.w snake_closetoend
                dc.b S_SHOWPICTURE,$01
                dc.b S_CHECKPLOTBIT,PBN_IAN2
                dc.b S_BRANCH
                dc.w snake_thanks
                dc.b S_CHECKPLOTBIT,PBN_BRIEFING
                dc.b S_BRANCH
                dc.w snake_briefover
snake_briefing: dc.b S_SETPLOTBIT,PBN_BRIEFING
                dc.b S_SHOWTEXT,$00
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$01
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$02
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$03
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$04
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$05
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$06
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$07
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$08
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$09
                dc.b S_WAITFIRE
                dc.b S_EXIT
snake_briefover:dc.b S_SHOWTEXT,$0a
                dc.b S_WAITFIRE
                dc.b S_EXIT
snake_thanks:   dc.b S_SHOWTEXT,$0b
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$0c
                dc.b S_WAITFIRE
                dc.b S_EXIT
snake_closetoend:
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$0d
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$0e
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$0f
                dc.b S_WAITFIRE
                dc.b S_EXIT

detectivescript:dc.b S_LOADCUTSCENE,$02
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_CHECKITEM, IBN_IDCARD
                dc.b S_BRANCH
                dc.w detect_wishluck
                dc.b S_CHECKPLOTBIT, PBN_BRIEFING
                dc.b S_BRANCH
                dc.w detect_wasright
                dc.b S_CHECKPLOTBIT, PBN_IAN1
                dc.b S_BRANCH
                dc.w detect_wasright
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$04
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$05
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$06
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$07
                dc.b S_WAITFIRE
                dc.b S_EXIT

detect_wasright:dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$08
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$09
                dc.b S_WAITFIRE
                dc.b S_CHECKITEM, IBN_DISK1
                dc.b S_BRANCH
                dc.w detect_requestid
                dc.b S_CHECKITEM, IBN_DISK2
                dc.b S_BRANCH
                dc.w detect_requestid
                dc.b S_CHECKITEM, IBN_DISK3
                dc.b S_BRANCH
                dc.w detect_requestid                
                dc.b S_EXIT
detect_requestid:dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$0a
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$0b
                dc.b S_SETITEM, IBN_IDCARD
                dc.b S_CALLCODE
                dc.w plotreward
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$0c
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$0d
                dc.b S_WAITFIRE
                dc.b S_EXIT
detect_wishluck:dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$0e
                dc.b S_WAITFIRE
                dc.b S_EXIT

musicshopscript:dc.b S_LOADCUTSCENE,$02
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_SHOWPICTURE,$03
                dc.b S_CHECKPLOTBIT, PBN_IAN1
                dc.b S_BRANCH
                dc.w music_foundian
                dc.b S_SHOWTEXT,$01
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$02
                dc.b S_WAITFIRE
                dc.b S_EXIT
music_foundian: dc.b S_SHOWTEXT,$0f
                dc.b S_WAITFIRE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$10
                dc.b S_WAITFIRE
                dc.b S_EXIT

citygunshopscript:
                dc.b S_LOADCUTSCENE,$01
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$00
                dc.b S_SHOP,<gunshoptbl,>gunshoptbl
                dc.b S_EXIT

barscript:      dc.b S_LOADCUTSCENE,$01
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_SHOWPICTURE,$01
                dc.b S_SHOWTEXT,$05
                dc.b S_SHOP,<barshoptbl,>barshoptbl
                dc.b S_EXIT

tavernscript:   dc.b S_LOADCUTSCENE,$01
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_SHOWPICTURE,$02
                dc.b S_SHOWTEXT,$09
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$0a
                dc.b S_SHOP,<tavernshoptbl,>tavernshoptbl
                dc.b S_EXIT

desertgunshopscript:
                dc.b S_LOADCUTSCENE,$01
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_SHOWPICTURE,$03
                dc.b S_SHOWTEXT,$00
                dc.b S_SHOP,<gunshop2tbl,>gunshop2tbl
                dc.b S_EXIT

forestgunshopscript:
                dc.b S_LOADCUTSCENE,$01
                dc.b S_PLAYMUSIC,MUSIC_CUTSCENE
                dc.b S_SHOWPICTURE,$04
                dc.b S_SHOWTEXT,$11
                dc.b S_WAITFIRE
                dc.b S_SHOWTEXT,$00
                dc.b S_SHOP,<gunshop3tbl,>gunshop3tbl
                dc.b S_EXIT

bandscript:     dc.b S_LOADCUTSCENE,$02
                dc.b S_PLAYMUSIC,MUSIC_BME
                dc.b S_SHOWPICTURE,$00
                dc.b S_SHOWTEXT,$00
                dc.b S_WAITFIRE
                dc.b S_FADEMUSIC
                dc.b S_EXIT

gunshoptbl:     dc.b 4                  ;Number of items+exit selection
                dc.b ITEM_PISTOL,$01,$15,$00 ;Item, Text, Price (word)
                dc.b ITEM_SHOTGUN,$02,$30,$00
                dc.b ITEM_SMG,$03,$40,$00
                dc.b ITEM_EMPTY,$04,$00,$00

barshoptbl:     dc.b 4
                dc.b ITEM_HEALTH,$06,$02,$40
                dc.b ITEM_HEALTH,$07,$03,$20
                dc.b ITEM_HEALTH,$08,$04,$40
                dc.b ITEM_EMPTY,$04,$00,$00

tavernshoptbl:  dc.b 3
                dc.b ITEM_HEALTH,$0b,$04,$80
                dc.b ITEM_HEALTH,$0c,$02,$40
                dc.b ITEM_EMPTY,$04,$00,$00

gunshop2tbl:    dc.b 5
                dc.b ITEM_PISTOL,$0d,$15,$00
                dc.b ITEM_SHOTGUN,$0e,$25,$00
                dc.b ITEM_SMG,$0f,$30,$00
                dc.b ITEM_GRENADES,$10,$50,$00
                dc.b ITEM_EMPTY,$04,$00,$00

gunshop3tbl:    dc.b 7
                dc.b ITEM_PISTOL,$12,$15,$00
                dc.b ITEM_SHOTGUN,$13,$20,$00
                dc.b ITEM_SMG,$14,$25,$00
                dc.b ITEM_FLAME,$15,$30,$00
                dc.b ITEM_GRENADES,$16,$35,$00
                dc.b ITEM_HEALTH,$17,$03,$80
                dc.b ITEM_EMPTY,$18,$00,$00

        ;ACTOR DATA
        ;----------

actxl:          ds.b MAXACTORS,0
actxh:          ds.b MAXACTORS,0
actyl:          ds.b MAXACTORS,0
actyh:          ds.b MAXACTORS,0
actsx:          ds.b MAXACTORS,0
actsy:          ds.b MAXACTORS,0
actbits:        ds.b MAXACTORS,0
actf:           ds.b MAXACTORS,0
actfd:          ds.b MAXACTORS,0
actsd:          ds.b MAXACTORS,0
actd:           ds.b MAXACTORS,0
actt:           ds.b MAXACTORS,0
actcnt:         ds.b MAXACTORS,0
actfls:         ds.b MAXACTORS,0
acthp:          dc.b PLRMAXHEALTH
                ds.b MAXACTORS-1,0
actorg:         ds.b MAXACTORS,0

        ;Table of actor data structures
actordatatbllo: dc.b <ad_playerrun
                dc.b <ad_playerduck
                dc.b <ad_playerclimb
                dc.b <ad_playerdead
                dc.b <ad_playerdoor
                dc.b <ad_item
                dc.b <ad_explosion
                dc.b <ad_fistman
                dc.b <ad_gunman
                dc.b <ad_shotgunman
                dc.b <ad_motorist
                dc.b <ad_eagle
                dc.b <ad_veteran
                dc.b <ad_rat
                dc.b <ad_worm
                dc.b <ad_rock
                dc.b <ad_pig
                dc.b <ad_spider
                dc.b <ad_slime
                dc.b <ad_fatworm
                dc.b <ad_mosquito
                dc.b <ad_lizard
                dc.b <ad_gunup
                dc.b <ad_gundown
                dc.b <ad_mine
                dc.b <ad_sidegun
                dc.b <ad_biomech1
                dc.b <ad_biomech2
                dc.b <ad_droid
                dc.b <ad_smalltank
                dc.b <ad_bigtank
                dc.b <ad_fireball
                dc.b <ad_laser
                dc.b <ad_flamer
                dc.b <ad_boss1
                dc.b <ad_boss2
                dc.b <ad_boss3
                dc.b <ad_boss4
                dc.b <ad_innocent1
                dc.b <ad_innocent2
                dc.b <ad_innocent3
                dc.b <ad_fistmandead
                dc.b <ad_gunmandead
                dc.b <ad_shotgundead
                dc.b <ad_veterandead
                dc.b <ad_pigdead
                dc.b <ad_guarddead
                dc.b <ad_bigguarddead
                dc.b <ad_dblexplosion
                dc.b <ad_quadexplosion
                dc.b <ad_sidelaser
                dc.b <ad_bossgrenade
                dc.b <ad_verticallaser
                dc.b <ad_shopkeeper
                dc.b <ad_shopkeeper
                dc.b <ad_shopkeeper
                dc.b <ad_shopkeeper
                dc.b <ad_shopkeeper
                dc.b <ad_shopkeeper
                dc.b <ad_shopkeeper
                dc.b <ad_shopkeeper
                dc.b <ad_band
                dc.b <ad_shopkeeper2
                dc.b <ad_shopkeeper2
                dc.b <ad_shopkeeper2
                dc.b <ad_shopkeeper2
                dc.b <ad_shopkeeper2
                dc.b <ad_ianbase
                dc.b <ad_ianrescued
                dc.b <ad_garageband
                dc.b <ad_ai
actordatatblhi: dc.b >ad_playerrun
                dc.b >ad_playerduck
                dc.b >ad_playerclimb
                dc.b >ad_playerdead
                dc.b >ad_playerdoor
                dc.b >ad_item
                dc.b >ad_explosion
                dc.b >ad_fistman
                dc.b >ad_gunman
                dc.b >ad_shotgunman
                dc.b >ad_motorist
                dc.b >ad_eagle
                dc.b >ad_veteran
                dc.b >ad_rat
                dc.b >ad_worm
                dc.b >ad_rock
                dc.b >ad_pig
                dc.b >ad_spider
                dc.b >ad_slime
                dc.b >ad_fatworm
                dc.b >ad_mosquito
                dc.b >ad_lizard
                dc.b >ad_gunup
                dc.b >ad_gundown
                dc.b >ad_mine
                dc.b >ad_sidegun
                dc.b >ad_biomech1
                dc.b >ad_biomech2
                dc.b >ad_droid
                dc.b >ad_smalltank
                dc.b >ad_bigtank
                dc.b >ad_fireball
                dc.b >ad_laser
                dc.b >ad_flamer
                dc.b >ad_boss1
                dc.b >ad_boss2
                dc.b >ad_boss3
                dc.b >ad_boss4
                dc.b >ad_innocent1
                dc.b >ad_innocent2
                dc.b >ad_innocent3
                dc.b >ad_fistmandead
                dc.b >ad_gunmandead
                dc.b >ad_shotgundead
                dc.b >ad_veterandead
                dc.b >ad_pigdead
                dc.b >ad_guarddead
                dc.b >ad_bigguarddead
                dc.b >ad_dblexplosion
                dc.b >ad_quadexplosion
                dc.b >ad_sidelaser
                dc.b >ad_bossgrenade
                dc.b >ad_verticallaser
                dc.b >ad_shopkeeper
                dc.b >ad_shopkeeper
                dc.b >ad_shopkeeper
                dc.b >ad_shopkeeper
                dc.b >ad_shopkeeper
                dc.b >ad_shopkeeper
                dc.b >ad_shopkeeper
                dc.b >ad_shopkeeper
                dc.b >ad_band
                dc.b >ad_shopkeeper2
                dc.b >ad_shopkeeper2
                dc.b >ad_shopkeeper2
                dc.b >ad_shopkeeper2
                dc.b >ad_shopkeeper2
                dc.b >ad_ianbase
                dc.b >ad_ianrescued
                dc.b >ad_garageband
                dc.b >ad_ai

        ;Table of actor move routines
actorrouttbllo: dc.b <ar_playerrun
                dc.b <ar_playerduck
                dc.b <ar_playerclimb
                dc.b <ar_playerdead
                dc.b <ar_playerdoor
                dc.b <ar_item
                dc.b <ar_explosion
                dc.b <ar_fistman
                dc.b <ar_gunman
                dc.b <ar_shotgunman
                dc.b <ar_motorist
                dc.b <ar_eagle
                dc.b <ar_veteran
                dc.b <ar_rat
                dc.b <ar_worm
                dc.b <ar_rock
                dc.b <ar_pig
                dc.b <ar_spider
                dc.b <ar_slime
                dc.b <ar_fatworm
                dc.b <ar_mosquito
                dc.b <ar_lizard
                dc.b <ar_gunup
                dc.b <ar_gundown
                dc.b <ar_mine
                dc.b <ar_sidegun
                dc.b <ar_biomech1
                dc.b <ar_biomech2
                dc.b <ar_droid
                dc.b <ar_smalltank
                dc.b <ar_bigtank
                dc.b <ar_fireball
                dc.b <ar_laser
                dc.b <ar_flamer
                dc.b <ar_boss1
                dc.b <ar_boss2
                dc.b <ar_boss3
                dc.b <ar_boss4
                dc.b <ar_innocent
                dc.b <ar_innocent
                dc.b <ar_innocent
                dc.b <ar_corpse
                dc.b <ar_corpse
                dc.b <ar_corpse
                dc.b <ar_corpse
                dc.b <ar_corpse
                dc.b <ar_corpse
                dc.b <ar_corpse
                dc.b <ar_explosion
                dc.b <ar_explosion
                dc.b <ar_sidelaser
                dc.b <ar_bossgrenade
                dc.b <ar_sidelaser
                dc.b <ar_shopkeeper
                dc.b <ar_shopkeeper
                dc.b <ar_shopkeeper
                dc.b <ar_shopkeeper
                dc.b <ar_shopkeeper
                dc.b <ar_shopkeeper
                dc.b <ar_shopkeeper
                dc.b <ar_shopkeeper
                dc.b <ar_band
                dc.b <ar_shopkeeper2
                dc.b <ar_shopkeeper2
                dc.b <ar_shopkeeper2
                dc.b <ar_shopkeeper2
                dc.b <ar_shopkeeper2
                dc.b <ar_actor
                dc.b <ar_actor
                dc.b <ar_actor
                dc.b <ar_ai
actorrouttblhi: dc.b >ar_playerrun
                dc.b >ar_playerduck
                dc.b >ar_playerclimb
                dc.b >ar_playerdead
                dc.b >ar_playerdoor
                dc.b >ar_item
                dc.b >ar_explosion
                dc.b >ar_fistman
                dc.b >ar_gunman
                dc.b >ar_shotgunman
                dc.b >ar_motorist
                dc.b >ar_eagle
                dc.b >ar_veteran
                dc.b >ar_rat
                dc.b >ar_worm
                dc.b >ar_rock
                dc.b >ar_pig
                dc.b >ar_spider
                dc.b >ar_slime
                dc.b >ar_fatworm
                dc.b >ar_mosquito
                dc.b >ar_lizard
                dc.b >ar_gunup
                dc.b >ar_gundown
                dc.b >ar_mine
                dc.b >ar_sidegun
                dc.b >ar_biomech1
                dc.b >ar_biomech2
                dc.b >ar_droid
                dc.b >ar_smalltank
                dc.b >ar_bigtank
                dc.b >ar_fireball
                dc.b >ar_laser
                dc.b >ar_flamer
                dc.b >ar_boss1
                dc.b >ar_boss2
                dc.b >ar_boss3
                dc.b >ar_boss4
                dc.b >ar_innocent
                dc.b >ar_innocent
                dc.b >ar_innocent
                dc.b >ar_corpse
                dc.b >ar_corpse
                dc.b >ar_corpse
                dc.b >ar_corpse
                dc.b >ar_corpse
                dc.b >ar_corpse
                dc.b >ar_corpse
                dc.b >ar_explosion
                dc.b >ar_explosion
                dc.b >ar_sidelaser
                dc.b >ar_bossgrenade
                dc.b >ar_sidelaser
                dc.b >ar_shopkeeper
                dc.b >ar_shopkeeper
                dc.b >ar_shopkeeper
                dc.b >ar_shopkeeper
                dc.b >ar_shopkeeper
                dc.b >ar_shopkeeper
                dc.b >ar_shopkeeper
                dc.b >ar_shopkeeper
                dc.b >ar_band
                dc.b >ar_shopkeeper2
                dc.b >ar_shopkeeper2
                dc.b >ar_shopkeeper2
                dc.b >ar_shopkeeper2
                dc.b >ar_shopkeeper2
                dc.b >ar_actor
                dc.b >ar_actor
                dc.b >ar_actor
                dc.b >ar_ai

        ;Actor data structures
ad_playerrun:   dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Sprite formation
                dc.b 15         ;First "left" frame
                dc.b 38         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 0,69       ;15 frames facing right
                dc.b 0,73
                dc.b 0,70
                dc.b 0,71
                dc.b 0,72
                dc.b 0,73
                dc.b 0,70
                dc.b 0,71
                dc.b 0,72
                dc.b 0,74
                dc.b 76,73
                dc.b 85,69
                dc.b 86,69
                dc.b 85,74
                dc.b 86,74
                dc.b 0,92          ;15 frames facing right
                dc.b 0,96
                dc.b 0,93
                dc.b 0,94
                dc.b 0,95
                dc.b 0,96
                dc.b 0,93
                dc.b 0,94
                dc.b 0,95
                dc.b 0,97
                dc.b 99,96
                dc.b 108,92
                dc.b 109,92
                dc.b 108,97
                dc.b 109,97

ad_playerduck:  dc.b 12         ;X-hotspot
                dc.b 29         ;Y-hotspot
                dc.w sprf_1x2   ;Sprite formation
                dc.b 3          ;First "left" frame
                dc.b 25         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 64,75      ;3 frames to left
                dc.b 85,75
                dc.b 86,75
                dc.b 87,98      ;3 frames to right
                dc.b 108,98
                dc.b 109,98

ad_playerclimb: dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Sprite formation
                dc.b 0          ;First "left" frame
                dc.b 38         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 111,114
                dc.b 110,113
                dc.b 111,114
                dc.b 112,115
                dc.b 116,114
                dc.b 121,121
                dc.b 117,118

ad_playerdead:  dc.b 24         ;X-hotspot
                dc.b 20         ;Y-hotspot
                dc.w sprf_2x1   ;Formation
                dc.b 1          ;First "left" frame
                dc.b 12         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 24         ;Size from hotspot to left & right
                dc.b 77,78
                dc.b 100,101

ad_playerdoor:  dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Sprite formation
                dc.b 0          ;First "left" frame
                dc.b 0          ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 116,114
                dc.b 121,121
                dc.b 121,121
                dc.b 117,118

ad_item:        dc.b 10         ;X-hotspot
                dc.b 20         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 8          ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 6          ;Size from hotspot to left & right
                dc.b 128,129,130,131,132,133,134,135,135,135
                dc.b 136,142,142,142,138,139,141,137,140,143
                dc.b 127

ad_explosion:   dc.b 12         ;X-hotspot
                dc.b 11         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 32         ;Size from hotspot upwards
                dc.b 32         ;Size from hotspot downwards
                dc.b 32         ;Size from hotspot to left & right
                dc.b 122,123,124,125,126,121

ad_fistman:     dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 6          ;First "left" frame
                dc.b 39         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 144,146    ;6 frames right
                dc.b 144,147
                dc.b 145,148
                dc.b 145,149
                dc.b 150,146
                dc.b 151,146
                dc.b 156,158    ;6 frames left
                dc.b 156,161
                dc.b 157,160
                dc.b 157,159
                dc.b 162,158
                dc.b 163,158

ad_gunman:      dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 5          ;First "left" frame
                dc.b 39         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 168,146    ;5 frames right
                dc.b 169,147
                dc.b 169,148
                dc.b 169,149
                dc.b 169,170
                dc.b 173,158    ;5 frames left
                dc.b 174,159
                dc.b 174,160
                dc.b 174,161
                dc.b 174,175

ad_shotgunman:  dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 4          ;First "left" frame
                dc.b 39         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 178,180    ;4 frames right
                dc.b 178,181
                dc.b 179,182
                dc.b 179,183
                dc.b 188,190    ;4 frames left
                dc.b 188,191
                dc.b 189,192
                dc.b 189,193

ad_motorist:    dc.b 24         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_2x2   ;Formation
                dc.b 1          ;First "left" frame
                dc.b 35         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 20         ;Size from hotspot to left & right
                dc.b 198,199    ;Right
                dc.b 200,201
                dc.b 202,203    ;Left
                dc.b 204,205

ad_eagle:       dc.b 12         ;X-hotspot
                dc.b 10         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 4          ;First "left" frame
                dc.b 9          ;Size from hotspot upwards
                dc.b 9          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 218,219,220,219 ;Right
                dc.b 221,222,223,222 ;Left

ad_veteran:     dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 5          ;First "left" frame
                dc.b 39         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 234,230    ;5 frames right
                dc.b 234,231
                dc.b 235,232
                dc.b 235,233
                dc.b 236,230
                dc.b 245,241    ;5 frames left
                dc.b 245,242
                dc.b 246,243
                dc.b 246,244
                dc.b 247,241

ad_rat:         dc.b 12         ;X-hotspot
                dc.b 14         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 2          ;First "left" frame
                dc.b 8          ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 224,225    ;Right
                dc.b 226,227    ;Left

ad_worm:        dc.b 12         ;X-hotspot
                dc.b 14         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 6          ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 252,253,254,253

ad_rock:        dc.b 12         ;X-hotspot
                dc.b 16         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 14         ;Size from hotspot upwards
                dc.b 2          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 228,229

ad_pig:         dc.b 12         ;X-hotspot
                dc.b 20         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 3          ;First "left" frame
                dc.b 21         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 12         ;Size from hotspot to left & right
                dc.b 144,145,146
                dc.b 149,150,151

ad_spider:      dc.b 12         ;X-hotspot
                dc.b 16         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 4          ;First "left" frame
                dc.b 13         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 154,155,156,157
                dc.b 158,159,160,161

ad_slime:       dc.b 12         ;X-hotspot
                dc.b 14         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 6          ;First "left" frame
                dc.b 9          ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 8          ;Size from hotspot to left & right
                dc.b 162,163,164,163,165,166
                dc.b 162,163,164,163,167,168

ad_fatworm:     dc.b 12         ;X-hotspot
                dc.b 15         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 4          ;First "left" frame
                dc.b 13         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 12         ;Size from hotspot to left & right
                dc.b 169,170,171,170
                dc.b 172,173,174,173

ad_mosquito:    dc.b 12         ;X-hotspot
                dc.b 10         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 6          ;Size from hotspot upwards
                dc.b 6          ;Size from hotspot downwards
                dc.b 8          ;Size from hotspot to left & right
                dc.b 175,176

ad_lizard:      dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 4          ;First "left" frame
                dc.b 40         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 12         ;Size from hotspot to left & right
                dc.b 177,179
                dc.b 177,180
                dc.b 178,181
                dc.b 177,180
                dc.b 182,184
                dc.b 182,185
                dc.b 183,186
                dc.b 182,185

ad_gunup:       dc.b 8         ;X-hotspot
                dc.b 15         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 11         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 187

ad_gundown:     dc.b 8          ;X-hotspot
                dc.b 5          ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 0          ;Size from hotspot upwards
                dc.b 11         ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 188

ad_mine:        dc.b 11         ;X-hotspot
                dc.b 10         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 4          ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 8          ;Size from hotspot to left & right
                dc.b 189,190

ad_sidegun:     dc.b 12         ;X-hotspot
                dc.b 2          ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 2          ;First "left" frame
                dc.b 0          ;Size from hotspot upwards
                dc.b 17         ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 191,192
                dc.b 193,192

ad_biomech1:    dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 6          ;First "left" frame
                dc.b 40         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 194,196
                dc.b 194,197
                dc.b 195,198
                dc.b 194,199
                dc.b 200,196
                dc.b 201,196
                dc.b 202,204
                dc.b 202,205
                dc.b 203,206
                dc.b 202,207
                dc.b 208,204
                dc.b 209,204


ad_biomech2:    dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 4          ;First "left" frame
                dc.b 33         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 12         ;Size from hotspot to left & right
                dc.b 210,211
                dc.b 210,212
                dc.b 210,213
                dc.b 210,212
                dc.b 214,215
                dc.b 214,216
                dc.b 214,217
                dc.b 214,216

ad_droid:       dc.b 12         ;X-hotspot
                dc.b 10         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 6          ;Size from hotspot upwards
                dc.b 6          ;Size from hotspot downwards
                dc.b 8          ;Size from hotspot to left & right
                dc.b 218,219,220,221

ad_smalltank:   dc.b 12         ;X-hotspot
                dc.b 21         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 2          ;First "left" frame
                dc.b 19         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 12         ;Size from hotspot to left & right
                dc.b 222,223
                dc.b 228,229

ad_bigtank:     dc.b 24         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_2x2   ;Formation
                dc.b 2          ;First "left" frame
                dc.b 40         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 24         ;Size from hotspot to left & right
                dc.b 230,231
                dc.b 232,233
                dc.b 230,231
                dc.b 234,235
                dc.b 236,237
                dc.b 238,239
                dc.b 236,237
                dc.b 240,241

ad_fireball:    dc.b 12         ;X-hotspot
                dc.b 10         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 6          ;Size from hotspot upwards
                dc.b 6          ;Size from hotspot downwards
                dc.b 6          ;Size from hotspot to left & right
                dc.b 242,243,244,243

ad_laser:       dc.b 12         ;X-hotspot
                dc.b 0          ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 0          ;Size from hotspot upwards
                dc.b 20         ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 172,173,174,175
                dc.b 175,174,173,172

ad_flamer:      dc.b 12         ;X-hotspot
                dc.b 0          ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 0          ;Size from hotspot upwards
                dc.b 20         ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 176

ad_boss1:       dc.b 10         ;X-hotspot
                dc.b 62         ;Y-hotspot
                dc.w sprf_1x3   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 60         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 144,145,146
                dc.b 147,148,149
                dc.b 144,145,146
                dc.b 150,151,152

ad_boss2:       dc.b 36         ;X-hotspot
                dc.b 21         ;Y-hotspot
                dc.w sprf_3x2   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 21         ;Size from hotspot upwards
                dc.b 21         ;Size from hotspot downwards
                dc.b 36         ;Size from hotspot to left & right
                dc.b 156,157,158
                dc.b 159,160,161

ad_boss3:       dc.b 36         ;X-hotspot
                dc.b 21         ;Y-hotspot
                dc.w sprf_3x2   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 21         ;Size from hotspot upwards
                dc.b 21         ;Size from hotspot downwards
                dc.b 36         ;Size from hotspot to left & right

                dc.b 169,170,171
                dc.b 172,173,174

                dc.b 175,176,224
                dc.b 172,225,174

                dc.b 175,227,224
                dc.b 172,225,174

                dc.b 175,226,224
                dc.b 172,225,174



ad_boss4:       dc.b 36         ;X-hotspot
                dc.b 63         ;Y-hotspot
                dc.w sprf_3x4   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 63         ;Size from hotspot upwards
                dc.b 21         ;Size from hotspot downwards
                dc.b 36         ;Size from hotspot to left & right

                dc.b 151,152,153
                dc.b 154,155,156
                dc.b 157,158,159
                dc.b 160,161,169

                dc.b 151,152,153
                dc.b 154,155,156
                dc.b 157,158,159
                dc.b 160,170,169

                dc.b 151,152,153
                dc.b 154,155,156
                dc.b 157,158,159
                dc.b 160,171,169

                dc.b 151,152,153
                dc.b 154,155,156
                dc.b 157,158,159
                dc.b 160,170,169

ad_innocent1:   dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 4          ;First "left" frame
                dc.b 39         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 206,146    ;4 frames right
                dc.b 206,147
                dc.b 207,148
                dc.b 207,149
                dc.b 208,158    ;4 frames left
                dc.b 208,159
                dc.b 209,160
                dc.b 209,161

ad_innocent2:   dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 4          ;First "left" frame
                dc.b 39         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 210,146    ;4 frames right
                dc.b 210,147
                dc.b 211,148
                dc.b 211,149
                dc.b 212,158    ;4 frames left
                dc.b 212,159
                dc.b 213,160
                dc.b 213,161

ad_innocent3:   dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 4          ;First "left" frame
                dc.b 39         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 214,146    ;4 frames right
                dc.b 214,147
                dc.b 215,148
                dc.b 215,149
                dc.b 216,158    ;4 frames left
                dc.b 216,159
                dc.b 217,160
                dc.b 217,161

ad_fistmandead: dc.b 24         ;X-hotspot
                dc.b 20         ;Y-hotspot
                dc.w sprf_2x1   ;Formation
                dc.b 2          ;First "left" frame
                dc.b 10         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 24         ;Size from hotspot to left & right
                dc.b 154,155
                dc.b 152,153
                dc.b 166,167
                dc.b 164,165

ad_gunmandead:  dc.b 24         ;X-hotspot
                dc.b 20         ;Y-hotspot
                dc.w sprf_2x1   ;Formation
                dc.b 2          ;First "left" frame
                dc.b 10         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 24         ;Size from hotspot to left & right
                dc.b 172,155
                dc.b 171,153
                dc.b 166,177
                dc.b 164,176

ad_shotgundead: dc.b 24         ;X-hotspot
                dc.b 20         ;Y-hotspot
                dc.w sprf_2x1   ;Formation
                dc.b 2          ;First "left" frame
                dc.b 10         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 24         ;Size from hotspot to left & right
                dc.b 186,187
                dc.b 184,185
                dc.b 196,197
                dc.b 194,195

ad_veterandead: dc.b 24         ;X-hotspot
                dc.b 20         ;Y-hotspot
                dc.w sprf_2x1   ;Formation
                dc.b 2          ;First "left" frame
                dc.b 10         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 24         ;Size from hotspot to left & right
                dc.b 239,240
                dc.b 237,238
                dc.b 250,251
                dc.b 248,249

ad_pigdead:     dc.b 12         ;X-hotspot
                dc.b 20         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 2          ;First "left" frame
                dc.b 21         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 12         ;Size from hotspot to left & right
                dc.b 148,147
                dc.b 153,152


ad_guarddead:
ad_bigguarddead:

ad_dblexplosion:dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 42         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 12         ;Size from hotspot to left & right
                dc.b 121,122
                dc.b 122,123
                dc.b 123,124
                dc.b 124,125
                dc.b 125,126
                dc.b 126,121

ad_quadexplosion:dc.b 24        ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_2x2   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 42         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 24         ;Size from hotspot to left & right
                dc.b 121,122,122,121
                dc.b 122,123,123,122
                dc.b 123,124,124,123
                dc.b 124,125,125,124
                dc.b 125,126,126,125
                dc.b 126,121,121,126

ad_sidelaser:   dc.b 12         ;X-hotspot
                dc.b 10         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 2          ;Size from hotspot upwards
                dc.b 2          ;Size from hotspot downwards
                dc.b 10         ;Size from hotspot to left & right
                dc.b 153

ad_bossgrenade: dc.b 12         ;X-hotspot
                dc.b 10         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 3          ;Size from hotspot upwards
                dc.b 3          ;Size from hotspot downwards
                dc.b 3          ;Size from hotspot to left & right
                dc.b 155

ad_verticallaser:dc.b 10         ;X-hotspot
                dc.b 10         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 6          ;Size from hotspot upwards
                dc.b 6          ;Size from hotspot downwards
                dc.b 2          ;Size from hotspot to left & right
                dc.b 154

ad_shopkeeper:  dc.b 12         ;X-hotspot
                dc.b 13         ;Y-hotspot
                dc.w sprf_1x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 32         ;Size from hotspot upwards
                dc.b 16         ;Size from hotspot downwards
                dc.b 16         ;Size from hotspot to left & right
                dc.b 144,145,146,147,148
                dc.b 167,168,169

ad_band:        dc.b 36
                dc.b 40
                dc.w sprf_band
                dc.b 0
                dc.b 40
                dc.b 0
                dc.b 24
                dc.b 149,152,157,153,156
                dc.b 150,152,158,154,156
                dc.b 151,152,157,155,156
                dc.b 150,152,158,154,156

ad_shopkeeper2: dc.b 12         ;X-hotspot
                dc.b 41         ;Y-hotspot
                dc.w sprf_1x2   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 48         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 16         ;Size from hotspot to left & right
                dc.b 159,160
                dc.b 161,162
                dc.b 163,164
                dc.b 165,166
                dc.b 121,121

ad_ianbase:     dc.b 24         ;X-hotspot
                dc.b 20         ;Y-hotspot
                dc.w sprf_2x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 21         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 12         ;Size from hotspot to left & right
                dc.b 242,243

ad_ianrescued:  dc.b 16         ;X-hotspot
                dc.b 34         ;Y-hotspot
                dc.w sprf_2x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 34         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 24         ;Size from hotspot to left & right
                dc.b 170,171

ad_garageband:  dc.b 26         ;X-hotspot
                dc.b 37         ;Y-hotspot
                dc.w sprf_2x2   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 42         ;Size from hotspot upwards
                dc.b 0          ;Size from hotspot downwards
                dc.b 36         ;Size from hotspot to left & right
                dc.b 177,178
                dc.b 179,180

ad_ai:          dc.b 24         ;X-hotspot
                dc.b 16         ;Y-hotspot
                dc.w sprf_2x1   ;Formation
                dc.b 0          ;First "left" frame
                dc.b 0          ;Size from hotspot upwards
                dc.b 80         ;Size from hotspot downwards
                dc.b 24         ;Size from hotspot to left & right
                dc.b 144,147,145,148,146,149,145,150


        ;A table of actors' default hitpoints:
        ;(starting from first enemy)
acthptbl:       dc.b 14           ;ACT_FISTMAN
                dc.b 12           ;ACT_GUNMAN
                dc.b 16           ;ACT_SHOTGUNMAN
                dc.b 24           ;ACT_MOTORIST
                dc.b 10           ;ACT_EAGLE
                dc.b 16           ;ACT_VETERAN
                dc.b 6            ;ACT_RAT
                dc.b 6            ;ACT_WORM
                dc.b 12           ;ACT_ROCK
                dc.b 24           ;ACT_PIG
                dc.b 12           ;ACT_SPIDER
                dc.b 8            ;ACT_SLIME
                dc.b 18           ;ACT_FATWORM
                dc.b 6            ;ACT_MOSQUITO
                dc.b 32           ;ACT_LIZARD
                dc.b 40           ;ACT_GUNUP
                dc.b 40           ;ACT_GUNDOWN
                dc.b 40           ;ACT_MINE
                dc.b 40           ;ACT_SIDEGUN
                dc.b 32           ;ACT_BIOMECH1
                dc.b 32           ;ACT_BIOMECH2
                dc.b 24           ;ACT_DROID
                dc.b 36           ;ACT_SMALLTANK
                dc.b 56           ;ACT_BIGTANK
                dc.b 0            ;ACT_FIREBALL
                dc.b 0            ;ACT_LASER
                dc.b 0            ;ACT_FLAMER
                dc.b 80           ;ACT_BOSS1
                dc.b 60           ;ACT_BOSS2
                dc.b 100          ;ACT_BOSS3
                dc.b 0            ;ACT_BOSS4
                dc.b 0            ;ACT_INNOCENT1
                dc.b 0            ;ACT_INNOCENT2
                dc.b 0            ;ACT_INNOCENT3
                dc.b 0            ;ACT_FISTMANDEAD
                dc.b 0            ;ACT_GUNMANDEAD
                dc.b 0            ;ACT_SHOTGUNDEAD
                dc.b 0            ;ACT_VETERANDEAD
                dc.b 0            ;ACT_PIGDEAD
                dc.b 0            ;ACT_GUARDDEAD
                dc.b 0            ;ACT_BIGGUARDDEAD
                dc.b 0            ;ACT_DBLEXPLOSION
                dc.b 0            ;ACT_QUADEXPLOSION
                dc.b 0            ;ACT_SIDELASER
                dc.b 0            ;ACT_BOSSGRENADE
                dc.b 0            ;ACT_VERTICALLASER
                dc.b 0            ;ACT_GUNSHOP
                dc.b 0            ;ACT_MUSICSHOP
                dc.b 0            ;ACT_BAR
                dc.b 0            ;ACT_OLDGAY
                dc.b 0            ;ACT_GUNSHOP2
                dc.b 0            ;ACT_DETECTIVE
                dc.b 0            ;ACT_GUNSHOP3
                dc.b 0            ;ACT_RECEPTIONIST
                dc.b 0            ;ACT_BAND
                dc.b 0            ;ACT_ULTRASHRED
                dc.b 0            ;ACT_THESNAKE
                dc.b 0            ;ACT_FAUSTUS
                dc.b 0            ;ACT_GOAT
                dc.b 0            ;ACT_PROGRAMMER
                dc.b 0            ;ACT_IANBASE
                dc.b 0            ;ACT_IANRESCUED
                dc.b 0            ;ACT_GARAGEBAND
                dc.b 0            ;ACT_AI

        ;A table of actors' level (ability to resist damage)
        ;(starting from first enemy)
actleveltbl:    dc.b 0            ;ACT_FISTMAN
                dc.b 0            ;ACT_GUNMAN
                dc.b 0            ;ACT_SHOTGUNMAN
                dc.b 0            ;ACT_MOTORIST
                dc.b 0            ;ACT_EAGLE
                dc.b 0            ;ACT_VETERAN
                dc.b 0            ;ACT_RAT
                dc.b 0            ;ACT_WORM
                dc.b 0            ;ACT_ROCK
                dc.b 0            ;ACT_PIG
                dc.b 0            ;ACT_SPIDER
                dc.b 0            ;ACT_SLIME
                dc.b 0            ;ACT_FATWORM
                dc.b 0            ;ACT_MOSQUITO
                dc.b 0            ;ACT_LIZARD
                dc.b 0            ;ACT_GUNUP
                dc.b 0            ;ACT_GUNDOWN
                dc.b 0            ;ACT_MINE
                dc.b 0            ;ACT_SIDEGUN
                dc.b 0            ;ACT_BIOMECH1
                dc.b 1            ;ACT_BIOMECH2
                dc.b 0            ;ACT_DROID
                dc.b 1            ;ACT_SMALLTANK
                dc.b 2            ;ACT_BIGTANK
                dc.b 0            ;ACT_FIREBALL
                dc.b 0            ;ACT_LASER
                dc.b 0            ;ACT_FLAMER
                dc.b 12           ;ACT_BOSS1
                dc.b 12           ;ACT_BOSS2
                dc.b 10           ;ACT_BOSS3
                dc.b 12           ;ACT_BOSS4

        ;A table of actors' background condition for enemy creation
        ;(starting from first enemy)
actbgtbl:       dc.b CI_GROUND    ;ACT_FISTMAN
                dc.b CI_GROUND    ;ACT_GUNMAN
                dc.b CI_GROUND    ;ACT_SHOTGUNMAN
                dc.b CI_GROUND    ;ACT_MOTORIST
                dc.b 0            ;ACT_EAGLE
                dc.b CI_GROUND    ;ACT_VETERAN
                dc.b CI_GROUND    ;ACT_RAT
                dc.b CI_GROUND    ;ACT_WORM
                dc.b 0            ;ACT_ROCK
                dc.b CI_GROUND    ;ACT_PIG
                dc.b CI_GROUND    ;ACT_SPIDER
                dc.b CI_GROUND    ;ACT_SLIME
                dc.b CI_GROUND    ;ACT_FATWORM
                dc.b 0            ;ACT_MOSQUITO
                dc.b CI_GROUND    ;ACT_LIZARD
                dc.b CI_GROUND    ;ACT_GUNUP
                dc.b CI_GROUND    ;ACT_GUNDOWN
                dc.b CI_GROUND    ;ACT_MINE
                dc.b CI_GROUND    ;ACT_SIDEGUN
                dc.b CI_GROUND    ;ACT_BIOMECH1
                dc.b CI_GROUND    ;ACT_BIOMECH2
                dc.b 0            ;ACT_DROID
                dc.b CI_GROUND    ;ACT_SMALLTANK
                dc.b CI_GROUND    ;ACT_BIGTANK
                dc.b CI_GROUND    ;ACT_FIREBALL
                dc.b CI_GROUND    ;ACT_LASER
                dc.b CI_GROUND    ;ACT_FLAMER
                dc.b CI_GROUND    ;ACT_BOSS1
                dc.b CI_GROUND    ;ACT_BOSS2
                dc.b CI_GROUND    ;ACT_BOSS3
                dc.b CI_GROUND    ;ACT_BOSS4
                dc.b CI_GROUND    ;ACT_INNOCENT1
                dc.b CI_GROUND    ;ACT_INNOCENT2
                dc.b CI_GROUND    ;ACT_INNOCENT3

        ;A table of actors' Y modification (subtract) to bullet Y-pos
        ;(player included)
actymodtbl:     dc.b 20           ;ACT_PLAYERRUN
                dc.b 12           ;ACT_PLAYERDUCK
                dc.b 0            ;ACT_PLAYERCLIMB
                dc.b 0            ;ACT_PLAYERDEAD
                dc.b 0            ;ACT_PLAYERDOOR
                dc.b 0            ;ACT_ITEM
                dc.b 0            ;ACT_EXPLOSION
                dc.b 26           ;ACT_FISTMAN
                dc.b 26           ;ACT_GUNMAN
                dc.b 20           ;ACT_SHOTGUNMAN
                dc.b 0            ;ACT_MOTORIST
                dc.b 0            ;ACT_EAGLE
                dc.b 20           ;ACT_VETERAN
                dc.b 0            ;ACT_RAT
                dc.b 0            ;ACT_WORM
                dc.b 0            ;ACT_ROCK
                dc.b 0            ;ACT_PIG
                dc.b 0            ;ACT_SPIDER
                dc.b 0            ;ACT_SLIME
                dc.b 4            ;ACT_FATWORM
                dc.b 0            ;ACT_MOSQUITO
                dc.b 32           ;ACT_LIZARD
                dc.b 0            ;ACT_GUNUP
                dc.b 0            ;ACT_GUNDOWN
                dc.b 0            ;ACT_MINE
                dc.b -12          ;ACT_SIDEGUN
                dc.b 26           ;ACT_BIOMECH1
                dc.b 22           ;ACT_BIOMECH2
                dc.b 0            ;ACT_DROID
                dc.b 12           ;ACT_SMALLTANK
                dc.b 32           ;ACT_BIGTANK
                dc.b 0            ;ACT_FIREBALL
                dc.b -4           ;ACT_LASER
                dc.b -12          ;ACT_FLAMER
                dc.b 0            ;ACT_BOSS1
                dc.b 0            ;ACT_BOSS2
                dc.b 0            ;ACT_BOSS3
                dc.b 0            ;ACT_BOSS4

        ;A table of rewards for killing enemies: score, experience, weapon
actrewardtbl:   dc.b $50,$08,$01,ITEM_EMPTY        ;ACT_FISTMAN
                dc.b $50,$12,$02,ITEM_PISTOL       ;ACT_GUNMAN
                dc.b $50,$17,$03,ITEM_SHOTGUN      ;ACT_SHOTGUN
                dc.b $00,$15,$02,ITEM_HEALTH       ;ACT_MOTORIST
                dc.b $50,$17,$03,ITEM_EMPTY        ;ACT_EAGLE
veteranreward:  dc.b $00,$25,$03,ITEM_FLAME        ;ACT_VETERAN
                dc.b $50,$07,$02,ITEM_EMPTY        ;ACT_RAT
                dc.b $00,$05,$02,ITEM_EMPTY        ;ACT_WORM
                dc.b $50,$12,$03,ITEM_EMPTY        ;ACT_ROCK
                dc.b $00,$20,$04,ITEM_EMPTY        ;ACT_PIG
                dc.b $50,$17,$04,ITEM_EMPTY        ;ACT_SPIDER
                dc.b $00,$15,$03,ITEM_EMPTY        ;ACT_SLIME
                dc.b $00,$20,$04,ITEM_EMPTY        ;ACT_FATWORM
                dc.b $00,$10,$03,ITEM_EMPTY        ;ACT_MOSQUITO
                dc.b $00,$25,$05,ITEM_HEALTH       ;ACT_LIZARD
                dc.b $00,$25,$03,ITEM_EMPTY        ;ACT_GUNUP
                dc.b $00,$25,$03,ITEM_EMPTY        ;ACT_GUNDOWN
                dc.b $00,$15,$03,ITEM_EMPTY        ;ACT_MINE
                dc.b $00,$25,$03,ITEM_EMPTY        ;ACT_SIDEGUN
                dc.b $00,$30,$05,ITEM_LASER        ;ACT_BIOMECH1
                dc.b $00,$25,$05,ITEM_EMPTY        ;ACT_BIOMECH2
                dc.b $00,$25,$03,ITEM_EMPTY        ;ACT_DROID
                dc.b $00,$30,$05,ITEM_EMPTY        ;ACT_SMALLTANK
                dc.b $00,$50,$05,ITEM_HEALTH       ;ACT_BIGTANK
                dc.b $00,$00,$00,ITEM_EMPTY        ;ACT_FIREBALL
                dc.b $00,$00,$00,ITEM_EMPTY        ;ACT_GUARD
                dc.b $00,$00,$00,ITEM_EMPTY        ;ACT_BIGGUARD

        ;BIG EXPLOSION VARIABLES
        ;-----------------------

explbasexl:     dc.b 0
explbasexh:     dc.b 0
explbaseyl:     dc.b 0
explbaseyh:     dc.b 0
explandx:       dc.b 0
explandy:       dc.b 0
explf:          ds.b MAXEXPL,0
explxl:         ds.b MAXEXPL,0
explxh:         ds.b MAXEXPL,0
explyl:         ds.b MAXEXPL,0
explyh:         ds.b MAXEXPL,0

        ;CONTROL DATA
        ;------------

colbit:         dc.b $01,$02,$04,$08,$10,$20,$40,$80
rowbit:         dc.b $fe,$fd,$fb,$f7,$ef,$df,$bf,$7f
rowval:         dc.b $00,$08,$10,$18,$20,$28,$30,$38
asciitbl:       dc.b 255,13,"      "
                dc.b "3WA4ZSE "
                dc.b "5RD6CFTX"
                dc.b "7YG8BHUV"
                dc.b "9IJ0MKON"
                dc.b " PL-. @,"
                dc.b "       /"
                dc.b "1  2  Q "

        ;LEVEL DATA
        ;----------

level:          dc.b #$ff
loadedlevel:    dc.b #$ff
loadedsprites:  dc.b #$ff
levelbg1tbl:    dc.b $00,$00,$00,$00,$00,$00,$06,$00,$00,$00
levelbg2tbl:    dc.b $0b,$0b,$09,$08,$0c,$0b,$00,$0b,$0b,$0b
levelbg3tbl:    dc.b $0f,$0c,$0c,$0c,$0f,$0e,$0b,$0f,$0c,$04
levelmustbl:    dc.b MUSIC_CITY,MUSIC_INSIDE,MUSIC_NATURE,MUSIC_NATURE,MUSIC_INSIDE,MUSIC_CAVES,MUSIC_CAVES,MUSIC_NATURE,MUSIC_CITY,MUSIC_CAVES
levelsprtbl:    dc.b 0,4,0,0,0,2,1,1,1,3
leveld01btbl:   dc.b 0,0,0,0,0,0,$ff,$0,$0,$0

        ;ENEMY GENERATOR & POWERUP DATA
        ;------------------------------

enmygxtbl:      dc.b -1,10
        ;Enemy generator 0 - fistmen, pistolmen, innocents
enmygtbl:       dc.b $50                ;Probability out of $ff
                dc.b ACT_INNOCENT2
                dc.b ACT_INNOCENT1
                dc.b ACT_FISTMAN
                dc.b ACT_GUNMAN
        ;Enemy generator 1 - fistmen, pistolmen, motorists & innocents
                dc.b $60                ;Probability out of $ff
                dc.b ACT_INNOCENT1
                dc.b ACT_MOTORIST
                dc.b ACT_FISTMAN
                dc.b ACT_GUNMAN
        ;Enemy generator 2 - mostly innocent
                dc.b $50                ;Probability out of $ff
                dc.b ACT_INNOCENT2
                dc.b ACT_INNOCENT1
                dc.b ACT_FISTMAN
                dc.b ACT_INNOCENT3
        ;Enemy generator 3 - rats, worms, pistolmen, shotgunmen
                dc.b $50                ;Probability out of $ff
                dc.b ACT_RAT
                dc.b ACT_WORM
                dc.b ACT_GUNMAN
                dc.b ACT_SHOTGUNMAN
        ;Enemy generator 4 - rats, worms, eagles
                dc.b $48                ;Probability out of $ff
                dc.b ACT_RAT
                dc.b ACT_RAT
                dc.b ACT_WORM
                dc.b ACT_EAGLE
        ;Enemy generator 5 - fistmen, pistolmen, shotgunmen, motorists
                dc.b $48
                dc.b ACT_FISTMAN
                dc.b ACT_GUNMAN
                dc.b ACT_MOTORIST
                dc.b ACT_SHOTGUNMAN
        ;Enemy generator 6 - pistolmen, shotgunmen, veterans
                dc.b $50
                dc.b ACT_GUNMAN
                dc.b ACT_GUNMAN
                dc.b ACT_SHOTGUNMAN
                dc.b ACT_VETERAN
        ;Enemy generator 7 - innocents only
                dc.b $30                ;Probability out of $ff
                dc.b ACT_INNOCENT2
                dc.b ACT_INNOCENT1
                dc.b ACT_INNOCENT1
                dc.b ACT_INNOCENT3
        ;Enemy generator 8 - rocks only
                dc.b $20
                dc.b ACT_ROCK
                dc.b ACT_ROCK
                dc.b ACT_ROCK
                dc.b ACT_ROCK
        ;Enemy generator 9 - eagles only
                dc.b $20
                dc.b ACT_EAGLE
                dc.b ACT_EAGLE
                dc.b ACT_EAGLE
                dc.b ACT_EAGLE
        ;Enemy generator 10 - mosquitos, pigs
                dc.b $40
                dc.b ACT_MOSQUITO
                dc.b ACT_MOSQUITO
                dc.b ACT_PIG
                dc.b ACT_PIG
        ;Enemy generator 11 - slime, slime, slime! (only in Lab2)
slimevalue:     dc.b $40
                dc.b ACT_SLIME
                dc.b ACT_SLIME
                dc.b ACT_SLIME
                dc.b ACT_SLIME
        ;Enemy generator 12 - mosquitos, pigs, spiders, rats
                dc.b $48
                dc.b ACT_MOSQUITO
                dc.b ACT_SPIDER
                dc.b ACT_PIG
                dc.b ACT_RAT
        ;Enemy generator 13 - fireballs!
                dc.b $38
                dc.b ACT_FIREBALL
                dc.b ACT_FIREBALL
                dc.b ACT_FIREBALL
                dc.b ACT_FIREBALL
        ;Enemy generator 14 - Biomechs, tanks & fireballs
                dc.b $38
                dc.b ACT_BIOMECH1
                dc.b ACT_BIOMECH2
                dc.b ACT_SMALLTANK
                dc.b ACT_FIREBALL
        ;Enemy generator 15 - mosquitos, pigs, spiders, biomechs
                dc.b $48
                dc.b ACT_MOSQUITO
                dc.b ACT_SPIDER
                dc.b ACT_PIG
                dc.b ACT_BIOMECH1


        ;Powerup table
poweruptbl:     dc.b ITEM_HEALTH
                dc.b 0
                dc.b ITEM_CREDITS2
                dc.b 0
                dc.b ITEM_CREDITS5
                dc.b 0
                dc.b 0
                dc.b 0
                dc.b ITEM_HEALTH
                dc.b 0
                dc.b ITEM_CREDITS2
                dc.b 0
                dc.b ITEM_CREDITS5
                dc.b 0
                dc.b ITEM_CREDITS10
                dc.b 0

        ;BACKGROUND ANIMATION DATA
        ;-------------------------

bganim_andtbl:  dc.b 128,0,32,0,8,0,2,0
bganim_ytbl:    dc.b 0,2,3,4,6
bganim_charptr: dc.b 0
bganim_txtptr:  dc.b 0
bganim_delay:   dc.b 0

        ;ITEM DATA
        ;---------

itemflashcnt:   dc.b 0
itemflashtbl:   dc.b 9,8,10,8
creditstbl:     dc.b $02,$05,$10
weaponaddtbl:   dc.b $25,$50,$25,$50,$75,$10
healthaddtbl:   dc.b HEALTHADD, HEALTHADD/2, HEALTHADD/4

        ;PLAYER DATA
        ;-----------

prevscore:      dc.b $ff,$ff,$ff,$ff
prevhp:         dc.b $ff
prevlives:      dc.b $ff
prevweapon:     dc.b $ff
prevcreditslo:  dc.b $ff
prevcreditshi:  dc.b $ff
prevexplo:      dc.b $ff
prevexplevel:   dc.b $ff
prevammolo:     dc.b $ff
prevammohi:     dc.b $ff
previnventory1: dc.b $ff
previnventory2: dc.b $ff
score:          dc.b 0,0,0,0
lives:          dc.b $03
extralifecmp:   dc.b 0
creditslo:      dc.b $50
creditshi:      dc.b 0
explo:          dc.b 0
weapon:         dc.b WPN_FISTS
ammolo:         dc.b $99,0,0,0,0,0,0
ammohi:         dc.b $09,0,0,0,0,0,0
gamecomplete:   dc.b 0
bosslight:      dc.b 0
        ;Variables included in password
explevel:       dc.b 0
inventory1:     dc.b 0
inventory2:     dc.b 0
restartpos:     dc.b 0
plot:           dc.b 0
        ;The password itself. First byte is the checksum
password:       ds.b PASSWORDLENGTH,0

        ;Cheat variables
cheaton:        dc.b 0
cheatletter:    dc.b 0

        ;Table of restart locations. Note: 12 restart locations in a
        ;level, fill the unused with some valid place to prevent weird
        ;effects by user-generated passwords :-)
        ;In even-numbered locations player will be facing right, in odd-
        ;numbered left.

lvlrestarttbl:  dc.w lvl0restarttbl     ;Restart table start index for each
                dc.w lvl1restarttbl     ;level
                dc.w lvl2restarttbl
                dc.w lvl3restarttbl
                dc.w lvl4restarttbl
                dc.w lvl5restarttbl
                dc.w lvl6restarttbl
                dc.w lvl7restarttbl
                dc.w lvl8restarttbl
                dc.w lvl9restarttbl

lvl0restarttbl: dc.b 0,5                ;City west border       R
                dc.b 90,5               ;Entrance to downtown   L
                dc.b 41,5               ;Entrance to downtown   R
                dc.b 150,5              ;Entrance to downtown   L
                dc.b 6,11               ;Police                 R
                dc.b 181,5              ;City east border       L
                dc.b 51,11              ;Exit from downtown     R
                dc.b 89,11              ;Exit from downtown     L
                dc.b 80,11              ;Home door              R
                dc.b 149,11             ;Exit from downtown     L
                dc.b 0,5                ;City west border       R
                dc.b 175,11             ;Bar                    L

lvl1restarttbl: dc.b 5,4                ;Home sweet home        R
                dc.b 14,4               ;Home sweet home        L
                dc.b 35,12              ;Asylum lobby           R
                dc.b 161,4
                dc.b 53,12              ;Ultrashred's cell      R
                dc.b 84,12              ;Middle of asylum corridor L
                dc.b 99,12              ;Asylum storage         R
                dc.b 14,4
                dc.b 14,4
                dc.b 14,4
                dc.b 14,4
                dc.b 14,4

lvl2restarttbl: dc.b 0,5                ;West edge of Forest 1  R
                dc.b 127,5              ;Middle of Forest 1     L
                dc.b 63,5               ;Middle of Forest 1     R
                dc.b 189,5              ;East edge of Forest 1  L
                dc.b 4,11               ;True Programmer's Cabin R
                dc.b 134,11             ;In front of Asylum     L
                dc.b 63,11              ;Middle of Forest 2     R
                dc.b 189,11             ;East edge of Forest 2  L
                dc.b 189,5
                dc.b 189,5
                dc.b 189,5
                dc.b 189,5

lvl3restarttbl: dc.b 0,5                ;West edge of Desert 1  R
                dc.b 126,6              ;Middle of Desert 1     L
                dc.b 63,6               ;Middle of Desert 1     R
                dc.b 190,4              ;East edge of Desert 1  L
                dc.b 0,13               ;West edge of Desert 2  R
                dc.b 130,15             ;Desert Village         L
                dc.b 61,15              ;Desert Village         R
                dc.b 190,12             ;East edge of Desert 2  L
                dc.b 190,4
                dc.b 190,4
                dc.b 190,4
                dc.b 190,4

lvl4restarttbl: dc.b 0,62
                dc.b 8,53
                dc.b 38,62
                dc.b 17,48
                dc.b 43,52
                dc.b 13,31
                dc.b 10,35
                dc.b 37,20
                dc.b 17,5
                dc.b 33,9
                dc.b 13,25
                dc.b 43,52

lvl5restarttbl: dc.b 8,5
                dc.b 26,12
                dc.b 1,21
                dc.b 22,21
                dc.b 23,71
                dc.b 25,67
                dc.b 2,57
                dc.b 25,53
                dc.b 14,77
                dc.b 25,86
                dc.b 7,94
                dc.b 14,102

lvl6restarttbl: dc.b 0,5
                dc.b 146,5
                dc.b 73,5
                dc.b 219,5
                dc.b 0,11
                dc.b 75,11
                dc.b 37,11
                dc.b 146,5
                dc.b 146,5
                dc.b 146,5
                dc.b 146,5
                dc.b 146,5

lvl7restarttbl: dc.b 0,4
                dc.b 116,4
                dc.b 58,4
                dc.b 174,5
                dc.b 35,12
                dc.b 150,19
                dc.b 76,11
                dc.b 100,19
                dc.b 121,12
                dc.b 50,19
                dc.b 151,11
                dc.b 9,15

lvl8restarttbl: dc.b 0,4
                dc.b 0,0
                dc.b 45,4
                dc.b 0,0
                dc.b 90,4
                dc.b 0,0
                dc.b 135,4
                dc.b 0,0
                dc.b 180,4
                dc.b 0,0
                dc.b 225,4
                dc.b 0,0

lvl9restarttbl: dc.b 0,39
                dc.b 75,27
                dc.b 77,39
                dc.b 10,27
                dc.b 9,18
                dc.b 72,12
                dc.b 71,18
                dc.b 24,12
                dc.b 24,12
                dc.b 24,12
                dc.b 24,12
                dc.b 24,12

        ;WEAPON & DAMAGE ROUTINE DATA
        ;----------------------------

dpd_facetable:  dc.b 2*8,-2*8

weapblttbl:     dc.b BLT_MELEE,BLT_PISTOL,BLT_PISTOL,BLT_PISTOL,BLT_LASER,BLT_FLAME,BLT_GRENADE,BLT_PISTOL,BLT_PISTOL,BLT_LASER,BLT_LASER,BLT_LASER,BLT_LASER,BLT_LASER,BLT_LASER,BLT_LASER,BLT_LASER,BLT_LASER,BLT_LASER,BLT_FLAME
weapsndtbl:     dc.b FX_PUNCH,FX_SHOOT,FX_SHOOT,FX_SHOOT,FX_LASER,FX_FLAME,FX_THROW,FX_SHOOT,FX_SHOOT,FX_LASER,FX_LASER,FX_LASER,FX_LASER,FX_LASER,FX_LASER,FX_LASER,FX_LASER,FX_LASER,FX_LASER,FX_FLAME
weapdelaytbl:   dc.b 0,4,3,6,3,2,8,6,6,1,1,1,1,1,1,6,6,6,6,2
weapspdxtbl:    dc.b 1,8,12,12,16,8,6,12,12,16,-16,0,16,-16,0,-16,-8,8,16,-8
weapspdytbl:    dc.b 0,0,0,-2,0,0,-8,2,0,-16,-16,-16,16,16,16,16,16,16,16,4
weapmultitbl:   dc.b 0,0,0,7,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0
weapxmodtbl:    dc.b 16,16,16,16,8,16,8,16,16,0,0,0,0,0,0,0,0,0,0,0
weapanimtbl:    dc.b 0,80,80,82,82,84,0
weapanimtbl2:   dc.b 64,65,66,65,64,67,68,67,64,68
weapchartbl:    dc.b 86,87,88,89,90,91
bltt:           ds.b MAXBULLETS,0
bltsx:          ds.b MAXBULLETS,0
bltsy:          ds.b MAXBULLETS,0
bltxl:          ds.b MAXBULLETS,0
bltxh:          ds.b MAXBULLETS,0
bltyl:          ds.b MAXBULLETS,0
bltyh:          ds.b MAXBULLETS,0
blttim:         ds.b MAXBULLETS,0
bltscrlo:       ds.b MAXBULLETS,0
bltscrhi:       ds.b MAXBULLETS,0
bltshape:       ds.b MAXBULLETS,0
bltunder:       ds.b MAXBULLETS,0
bltcunder:      ds.b MAXBULLETS,0
blterase:       ds.b MAXBULLETS,0
bltdirtbl:      dc.b 240,246,241        ;BLT_PISTOL
                dc.b 244,245,245
                dc.b 242,247,243
                dc.b 248,251,249        ;BLT_LASER
                dc.b 250,250,250
                dc.b 249,251,248
                dc.b 252,252,252        ;BLT_FLAME
                dc.b 252,252,252
                dc.b 252,252,252
                dc.b 255,255,255        ;BLT_GRENADE
                dc.b 255,255,255
                dc.b 255,255,255
bltdmgtbl:      dc.b 6  ;BLT_PISTOL
                dc.b 8  ;BLT_LASER
                dc.b 4  ;BLT_FLAME
                dc.b 0  ;BLT_GRENADE
                dc.b 4  ;BLT_MELEE

        ;SCREEN ROUTINE DATA
        ;-------------------

rowhitbl:       dc.b 0,64,128,192
dscr_routtbl1lo:dc.b <dscr_shift1, <dscr_shift2
dscr_routtbl1hi:dc.b >dscr_shift1, >dscr_shift2
dscr_routtbl2lo:dc.b <dscr_csul, <dscr_csu, <dscr_csur
                dc.b <dscr_csl, <dscr_csrts, <dscr_csr
                dc.b <dscr_csdl, <dscr_csd, <dscr_csdr
dscr_routtbl2hi:dc.b >dscr_csul, >dscr_csu, >dscr_csur
                dc.b >dscr_csl, >dscr_csrts, >dscr_csr
                dc.b >dscr_csdl, >dscr_csd, >dscr_csdr
dscr_shifttbl:  dc.b 37,38,39
                dc.b 77,78,79
                dc.b 117,118,119
dscr_shiftmultbl:dc.b 0,3,6
screentblhi:    dc.b >SCREEN1, >SCREEN2
screenrowtbllo:
N               SET 0
                REPEAT 25
                dc.b #<(N*40)
N               SET N+1
                REPEND
screenrowtblhi:
N               SET 0
                REPEAT 25
                dc.b #>(N*40)
N               SET N+1
                REPEND

        ;SPRITE ROUTINE DATA
        ;-------------------

sprrowtbl:      ds.b 33,$ff
                ds.b 8,0
                ds.b 8,1
                ds.b 8,2
                ds.b 8,3
                ds.b 8,4
                ds.b 8,5
                ds.b 8,6
                ds.b 8,7
                ds.b 8,8
                ds.b 8,9
                ds.b 8,10
                ds.b 8,11
                ds.b 8,12
                ds.b 8,13
                ds.b 8,14
                ds.b 8,15
                ds.b 8,16
                ds.b 8,17
                ds.b 8,18
                ds.b 8,19
                ds.b 8,20
                ds.b 55,$ff
sprandtbl:      dc.b 255-1
                dc.b 255-2
                dc.b 255-4
                dc.b 255-8
                dc.b 255-16
                dc.b 255-32
                dc.b 255-64
                dc.b 255-128
sprortbl:       dc.b 1
                dc.b 2
                dc.b 4
                dc.b 8
                dc.b 16
                dc.b 32
                dc.b 64
                dc.b 128
sprphystbl:     dc.b 7
                dc.b 6
                dc.b 5
                dc.b 4
                dc.b 3
                dc.b 2
                dc.b 1
                dc.b 0
                dc.b 7
                dc.b 6
                dc.b 5
                dc.b 4
                dc.b 3
                dc.b 2
                dc.b 1
                dc.b 0
                dc.b 7
                dc.b 6
                dc.b 5
                dc.b 4
                dc.b 3
                dc.b 2
                dc.b 1
                dc.b 0
                dc.b 7
                dc.b 6
                dc.b 5
                dc.b 4
                dc.b 3
                dc.b 2
                dc.b 1
                dc.b 0
                dc.b 7
                dc.b 6
                dc.b 5
                dc.b 4
                dc.b 3
                dc.b 2
                dc.b 1
                dc.b 0
                dc.b 7
                dc.b 6
                dc.b 5
                dc.b 4
                dc.b 3
                dc.b 2
                dc.b 1
                dc.b 0
sprphystbl2:    dc.b 14
                dc.b 12
                dc.b 10
                dc.b 8
                dc.b 6
                dc.b 4
                dc.b 2
                dc.b 0
                dc.b 14
                dc.b 12
                dc.b 10
                dc.b 8
                dc.b 6
                dc.b 4
                dc.b 2
                dc.b 0
                dc.b 14
                dc.b 12
                dc.b 10
                dc.b 8
                dc.b 6
                dc.b 4
                dc.b 2
                dc.b 0
                dc.b 14
                dc.b 12
                dc.b 10
                dc.b 8
                dc.b 6
                dc.b 4
                dc.b 2
                dc.b 0
                dc.b 14
                dc.b 12
                dc.b 10
                dc.b 8
                dc.b 6
                dc.b 4
                dc.b 2
                dc.b 0
                dc.b 14
                dc.b 12
                dc.b 10
                dc.b 8
                dc.b 6
                dc.b 4
                dc.b 2
                dc.b 0
sprlinesubtbl:  dc.b 0,3,4,4,5,6,7,7,8          ;Subtract-value to accomodate
                                                ;amount of time taken to load
                                                ;new sprites

        ;SOUND EFFECT DATA
        ;-----------------

currenttune:    dc.b 0
soundmode:      dc.b 0
sfxchn_ad:      ds.b 3,0
sfxchn_sr:      ds.b 3,0
sfxchn_wave:    ds.b 3,0
sfxchn_waveptr: ds.b 3,0
sfxchn_freq:    ds.b 3,0
sfxchn_freqptr: ds.b 3,0
sfxchn_freqspd: ds.b 3,0
sfxchn_wavedly: ds.b 3,0
sfxchn_newsnd:  ds.b 3,0
sfxchn_chnindex:dc.b 0,7,14
sfxdata:
                ;FX 1 - footstep
                dc.b $04                ;Attack/Decay
                dc.b $18                ;Sustain/Release
                dc.b $00                ;Pulse width
                dc.b $00                ;Initial freqtable pointer
                dc.b $00                ;Initial wavetable pointer
                ;FX 2 - jump
                dc.b $08
                dc.b $b9
                dc.b $04
                dc.b $03
                dc.b $06
                ;FX 3 - hit
                dc.b $09
                dc.b $66
                dc.b $08
                dc.b $08
                dc.b $0c
                ;FX 4 - shoot
                dc.b $00
                dc.b $e9
                dc.b $08
                dc.b $0d
                dc.b $0c
                ;FX 5 - punch
                dc.b $04
                dc.b $86
                dc.b $08
                dc.b $14
                dc.b $11
                ;FX 6 - throw
                dc.b $29
                dc.b $00
                dc.b $00
                dc.b $18
                dc.b $17
                ;FX 7 - laser
                dc.b $08
                dc.b $74
                dc.b $05
                dc.b $1d
                dc.b $1a
                ;FX 8 - flame
                dc.b $26
                dc.b $89
                dc.b $06
                dc.b $24
                dc.b $1a
                ;FX 9 - explosion
                dc.b $00
                dc.b $ea
                dc.b $06
                dc.b $2b
                dc.b $0c
                ;FX 10 - death
                dc.b $0a
                dc.b $d9
                dc.b $08
                dc.b $32
                dc.b $11
                ;FX 11 - pickup
                dc.b $09
                dc.b $38
                dc.b $01
                dc.b $3d
                dc.b $1a
                ;FX 12 - select
                dc.b $05
                dc.b $00
                dc.b $02
                dc.b $44
                dc.b $1a
freqtbl:        ;$00
                dc.b $80,FREQ_JUMP,$ff
                ;$03
                dc.b $04,FREQ_SETSPD,$01,FREQ_JUMP,$ff
                ;$08
                dc.b $30,$0d,$28,FREQ_JUMP,$ff
                ;$0d
                dc.b $40,$0e,$30,FREQ_SETSPD,$ff,FREQ_JUMP,$ff
                ;$14
                dc.b $3c,$0e,FREQ_JUMP,$14
                ;$18
                dc.b $28,FREQ_SETSPD,$ff,FREQ_JUMP,$ff
                ;$1d
                dc.b $24,FREQ_SETSPD,$fe,FREQ_SETSPD,$fc,FREQ_JUMP,$1e
                ;$24
                dc.b $03,$04,$05,$05,$04,FREQ_JUMP,$24
                ;$2b
                dc.b $34,$0c,$10,FREQ_SETSPD,$02,FREQ_JUMP,$ff
                ;$32
                dc.b $30,$0e,$2c,$0e,$0d,$0c,$0b,$0c,$0d,FREQ_JUMP,$35
                ;$3d
                dc.b $10,FREQ_SETSPD,$08,FREQ_SETSPD,$fc,FREQ_JUMP,$3e
                ;$44
                dc.b $15,$1b,FREQ_JUMP,$44
wavetbl:        ;$00
                dc.b $81,WAVE_DELAY,$04,$80,WAVE_JUMP,$ff
                ;$06
                dc.b $51,WAVE_DELAY,$08,$50,WAVE_JUMP,$ff
                ;$0c
                dc.b $81,$41,$80,WAVE_JUMP,$ff
                ;$11
                dc.b $81,$41,$80,$40,WAVE_JUMP,$13
                ;$17
                dc.b $11,WAVE_JUMP,$ff
                ;$1a
                dc.b $41,WAVE_DELAY,$06,$40,WAVE_JUMP,$ff

        ;HISCORE DATA
        ;------------

hiscorescore:   dc.b "00000000",0
hiscoretxt:     dc.b "10 TRUE WARRIORS",0

        ;GAME MESSAGE DATA
        ;-----------------

msgtbl:         dc.w msg1
                dc.w msg2
                dc.w msg3
                dc.w msg4
                dc.w msg5
                dc.w msg6
                dc.w msg7
                dc.w msg8
                dc.w msg9
                dc.w msg10
                dc.w msg11
                dc.w msg12
                dc.w msg13
                dc.w msg14
                dc.w msg15
                dc.w msg16
                dc.w msg17
                dc.w msg18
                dc.w msg19
                dc.w msg20
                dc.w msg21
                dc.w msg22
                dc.w msg23
                dc.w msg24
                dc.w msg25
                dc.w msg26
                dc.w msg27
                dc.w msg28

msg1:           dc.b "PISTOL",0
msg2:           dc.b "SUBMACHINEGUN",0
msg3:           dc.b "SHOTGUN",0
msg4:           dc.b "LASER",0
msg5:           dc.b "FLAME THROWER",0
msg6:           dc.b "GRENADES",0
msg7:           dc.b "2 CREDITS",0
msg8:           dc.b "5 CREDITS",0
msg9:           dc.b "10 CREDITS",0
msg10:          dc.b "HEALTH BOOST",0
msg11:          dc.b "CODE DISK 1",0
msg12:          dc.b "CODE DISK 2",0
msg13:          dc.b "CODE DISK 3",0
msg14:          dc.b "ROPE",0
msg15:          dc.b "SOURCE CODE",0
msg16:          dc.b "ID CARD",0
msg17:          dc.b "PILLS",0
msg18:          dc.b "MUSIC SCORE",0
msg19:          dc.b "LAPTOP",0
msg20:          dc.b "GHETTOBLASTER",0
msg21:          dc.b "GAME CONTINUED",0
msg22:          dc.b "GAME PAUSED",0
msg23:          dc.b "MUSIC ON",0
msg24:          dc.b "SOUND FX ON",0
msg25:          dc.b "EXP.LEVEL ACHIEVED!",0
msg26:          dc.b "OUT OF AMMO!",0
msg27:          dc.b "ERROR,FIRE TO RETRY",0
msg28:          dc.b "NOT ENOUGH CREDITS!",0

uploadtxt:      dc.b "UPLOADING ACCESS CODE...",0
accesstxt1:     dc.b "ACCESS TO MAIN COMPLEX GRANTED",0
accesstxt2:     dc.b "                              ",0

        ;OTHER TEXT DATA
        ;---------------

cheatstring:    dc.b KEY_S
                dc.b KEY_C
                dc.b KEY_A
                dc.b KEY_T
                dc.b KEY_O
                dc.b KEY_L
                dc.b KEY_O
                dc.b KEY_G
                dc.b KEY_I
                dc.b KEY_S
                dc.b KEY_T

bganim_txt:     dc.b "NINJA GODS - SERVERS UNDER SIEGE - ANUS ALIEN HUNT 2       ",0

enternametxt:   dc.b "YOU BELONG TO THE 10 TRUEST WARRIORS.",0
                dc.b "ENTER YOUR NAME USING KEYBOARD:",0

passwordtxt:    dc.b "YOUR PASSWORD:",0

pwdentrytxt:    dc.b "ENTER PASSWORD USING KEYBOARD:",0

victorybonus:   dc.b "BONUS FOR COMPLETING THE QUEST",0
                dc.b "   X 10000",0

livesbonus:     dc.b "BONUS FOR LIVES REMAINING",0
                dc.b "   X 10000",0

explvlbonus:    dc.b "BONUS FOR EXPERIENCE LEVEL",0
                dc.b "  X 10000",0

weaponbonus:    dc.b "BONUS FOR WEAPONS REMAINING",0
                dc.b "    X 500",0

titletxt1:      dc.b "VERSION 1.5",0
                dc.b 0
                dc.b "A COVERT BITOPS PRODUCTION IN 2012",0
                dc.b 0
                dc.b "CODE,GFX,SOUND         LASSE RNI",0
                dc.b "EXOMIZER               MAGNUS LIND",0
                dc.b "LOADER  NINJA,DOCBACARDI,MAGERVALP",0
                dc.b 0
                dc.b "HTTP://COVERTBITOPS.C64.ORG",0
                dc.b 0
                dc.b "INTRODUCTION  ",0
                dc.b "START NEW GAME",0
                dc.b "ENTER PASSWORD",0
                dc.b 0

                     ;0123456789012345678901234567890123456789
storytxt1:      dc.b "PROLOGUE",0
                dc.b "  (SEE THE INTRODUCTION FOR DETAILS.)",0
                dc.b 0
                dc.b "FOLLOWING  THE HATEFUL  SPLIT-UP  OF THE",0
                dc.b "BAND  CYBERPRIEST,  IAN  (PROTAGONIST OF",0
                dc.b "THE  FIRST  MW  GAME)  DISAPPEARS  AFTER",0
                dc.b "EMBARKING  ON ANOTHER QUEST  IN UNSTABLE",0
                dc.b "MENTAL CONDITION.",0
                dc.b 0
                dc.b "IT'S UP TO  HIS PARTNER IN  AXE-WIELDING",0
                dc.b "MAYHEM, JOAN (AKA  PHANTASM) TO FIND OUT",0
                dc.b "WHAT IS REALLY GOING ON..",0
                dc.b 0

                     ;0123456789012345678901234567890123456789
gametxt1:       dc.b "THE GAME",0
                dc.b "ON YOUR  JOURNEY, YOU'LL  ENCOUNTER BOTH",0
                dc.b "FRIENDLY &  HOSTILE CHARACTERS,  AS WELL",0
                dc.b "AS EXTRA WEAPONRY &  OTHER USEFUL ITEMS,",0
                dc.b "SO PAY  ATTENTION TO YOUR  SURROUNDINGS!",0
                dc.b 0
                dc.b "FROM DEFEATING ENEMIES, YOU'LL ALSO GAIN",0

                dc.b "'EXPERIENCE' AND  EVENTUALLY BECOME MORE",0
                dc.b "POWERFUL & RESISTANT TO DAMAGE.",0
                dc.b 0
                dc.b "AN EXTRA LIFE IS GIVEN AT 100000 POINTS.",0
                dc.b "AT GAME OVER,  YOU'RE  GIVEN  A PASSWORD",0
                dc.b "WHICH ALLOWS TO CONTINUE THE GAME.",0


ctrltxt1:       dc.b "CONTROLS",0
                dc.b 0
                dc.b "JUMP/CLIMB/ENTER/TALK",0
                dc.b "^",0
                dc.b "TURN/             TURN/",0
                dc.b "MOVE  %    =    _ MOVE ",0
                dc.b "LEFT    ATTACK!   RIGHT",0
                dc.b "#",0
                dc.b "DUCK/CLIMB/PICKUP",0
                dc.b 0
                dc.b "SPACEBAR....SELECT WEAPON",0
                dc.b "RUN/STOP....PAUSE/UNPAUSE",0
                dc.b "Q.........QUIT (IN PAUSE)",0
                dc.b "S.........TOGGLE MUSIC/FX",0

logo:           dc.b 103,104,107,108,111,112,117,118,120, 32, 32, 120,120,117,118,107,118,107,118,120,117,118,107,118, 32, 32,120,120
                dc.b 105,105,109,108,113,114,109,119,105, 32, 32, 121,122,109,119,109,125,109,125,105,105,105,109,125, 32, 32,105,105
                dc.b 106,106,110,108,115,116,106,106,110,108, 32, 123,124,106,106,106,106,106,106,106,126,127,106,106, 32, 32,106,106

ntscflag:       dc.b 0
