;ͻ
;Metal Warrior II loading picture & music                                     
;Programmed in 6/2000 (for MW3)                                               
;Adapted in 2/2002 for MW2                                                    
;ͼ

                include define.s
                include zeropage.s

                org $c000
                processor 6502

                jmp showpic
                jmp fademusic

showpic:        ldx #$00
                sei
showpicloop:    ldy #$34
                sty $01
showpic_lda:    lda $dc00,x
                ldy #$36
                sty $01
showpic_sta:    sta $d800,x
                inx
                bne showpicloop
                inc showpic_lda+2
                inc showpic_sta+2
                lda showpic_sta+2
                cmp #$dc
                bne showpicloop
                cli
                lda #$00
                sta $d015
                sta $d020
                sta $d021
                lda $dd00
                and #$fc
                sta $dd00
                lda #$18
                sta $d016
                lda #$68
                sta $d018
                lda #59
                sta $d011
                lda cfg_usefastload
                beq skipmusic
initmusic:      lda #$00                        ;Init tune 1
                jsr $c800
                sei
                lda #<raster
                sta $0314
                lda #>raster
                sta $0315
                lda #$7f                        ;Set timer interrupt off
                sta $dc0d
                lda #$01                        ;Set raster interrupt on
                sta $d01a
                lda #$fa                        ;Set low bits of raster
                sta $d012                       ;position
                lda $dc0d                       ;Acknowledge timer interrupt
                cli
skipmusic:      rts

fademusic:      lda r0count
                cmp #8
                bcc fademusic
                lda #0
                sta r0count
                dec $c800+$36d
                bne fademusic
fademusic2:     lda r0count
                cmp #32
                bcc fademusic2
                rts

raster:         inc $d019
                jsr $c803
                inc r0count
                jmp $ea81

                org $c800
                incbin lmusic.bin

                org $d800
                incbin loadpic.raw

                processor 6502


